GHNManagerLibrary (GHN Manager CL 1.0.0-2.16.1 API)
Date: 2013-09-25

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.common.vremanagement.ghnmanager.client
Class GHNManagerLibrary

    java.lang.Object
      org.gcube.common.vremanagement.ghnmanager.client.GHNManagerLibrary

All Implemented Interfaces:
  GHNManagerService

    public class GHNManagerLibrary

extends Object
implements GHNManagerService

Author:
  Andrea

Constructor Summary
`GHNManagerLibrary(org.gcube.common.clients.delegates.ProxyDelegate<GHNManagerServiceJAXWSStubs> delegate)`

Method Summary
`boolean` | `activateRI(Types.RIData params)`
`boolean` | `addRIToScope(Types.ScopeRIParams params)`
`boolean` | `addScope(Types.AddScopeInputParams params)`
`boolean` | `deactivateRI(Types.RIData params)`
`boolean` | `removeRIFromScope(Types.ScopeRIParams params)`
`boolean` | `removeScope(String scope)`
`void` | `shutdown(Types.ShutdownOptions options)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GHNManagerLibrary

    public GHNManagerLibrary(org.gcube.common.clients.delegates.ProxyDelegate<GHNManagerServiceJAXWSStubs> delegate)

Method Detail

### addScope

    public boolean addScope(Types.AddScopeInputParams params)
                     throws Exception

  Specified by:
    `addScope` in interface `GHNManagerService`
  Throws:
    `Exception`

### removeScope

    public boolean removeScope(String scope)
                        throws Exception

  Specified by:
    `removeScope` in interface `GHNManagerService`
  Throws:
    `Exception`

### addRIToScope

    public boolean addRIToScope(Types.ScopeRIParams params)
                         throws Exception

  Specified by:
    `addRIToScope` in interface `GHNManagerService`
  Throws:
    `Exception`

### activateRI

    public boolean activateRI(Types.RIData params)
                       throws Exception

  Specified by:
    `activateRI` in interface `GHNManagerService`
  Throws:
    `Exception`

### deactivateRI

    public boolean deactivateRI(Types.RIData params)
                         throws Exception

  Specified by:
    `deactivateRI` in interface `GHNManagerService`
  Throws:
    `Exception`

### removeRIFromScope

    public boolean removeRIFromScope(Types.ScopeRIParams params)
                              throws Exception

  Specified by:
    `removeRIFromScope` in interface `GHNManagerService`
  Throws:
    `Exception`

### shutdown

    public void shutdown(Types.ShutdownOptions options)
                  throws Exception

  Specified by:
    `shutdown` in interface `GHNManagerService`
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.